enyo.kind({
	name: "CalendarManager",
	kind: enyo.Component,
	components: [
		{name: "appManager", kind: "PalmService", service: "palm://com.palm.applicationManager/", method: "open"}
	],
	
	
	addEventForPerson : function(name, date)
	{
		date.setHours(10);
		
		//end date		
		var date2 = new Date(date.valueOf());
		date2.setHours(12);
		
		console.log('d1: '+date.toString());
		console.log('d2: '+date2.toString());
		
		var params = 
      	{
        	newEvent: {
	        	subject: name+"'s Birthday!",  // string
	          	dtstart: date.getTime().toString(), // string representing the start date/time as timestamp in milliseconds
	          	dtend: date2.getTime().toString(),  // string representing the end date/time as timestamp in milliseconds
	          	//location: 'Wherever I am!', // string
	          	rrule: {
	            	freq: "YEARLY"
	          	},  // rrule object -- see Calendar schema for details
	          	alarm: [
	            	{
	            		alarmTrigger: {
	                		valueType: "DURATION",
	                		value: "-PT30M"
	                	}
	            	}
	          	], // array of alarm objects -- see Calendar schema for details
	          	
	          	//note: 'Take allergy medicine, 1 pill',  // string
	          	allDay: false  // boolean
      		}
      	}
		
		this.$.appManager.call({"id": "com.palm.app.calendar", "params":params});
	}
	
});