// The number of milliseconds in one day
var ONE_DAY = 1000 * 60 * 60 * 24;

enyo.kind({
	name: "pmeUtils",
	kind: enyo.Component,
	
	splitArrayIntoSmaller: function(bigArray, numberOfParts)
	{
		var arrToSplit = bigArray;
		var itemsPerSmallerArr = numberOfParts;
		var distributedArr = [];
		var count = 0;
		var tmpArr = [];
		for(i=0; i < arrToSplit.length; i++){
			if(count < itemsPerSmallerArr){
				tmpArr.push(arrToSplit[i]);
			}
			else
			{
				distributedArr.push(tmpArr);
				count = 0;
				tmpArr = [];
				tmpArr.push(arrToSplit[i]);
			}
			count++;
		};
		
		distributedArr.push(tmpArr);
		return distributedArr;	
	},
	
	
	removeFacebookPhotos : function(imageInfos)
	{
		var newArray = [];
		for (var i=0;i<imageInfos.length;i++)
		{
			//console.log('img: '+imageInfos[i].path);
			
			if (imageInfos[i].path.indexOf('facebook') < 0)
			{
				newArray.push(imageInfos[i]);
			}
			else
			{
				//console.log('img: facebook '+imageInfos[i].path);
			}
		}
		
		return newArray;
	},
	
	
	
	sortByUpcomingBirthdays:function(array){
		
		var birthdays = array; //list of friend objects from facebook
    	var upcoming = [];
    	
    	var year = new Date().getFullYear();
    	
    	//create a 00:00 today date (low now)
    	var now = new Date();
    	var lowNow = new Date(now.getFullYear(), now.getMonth(), now.getDate(), 0, 0, 0, 0);
    	
    	birthdays.forEach(function(item) {
	        if (item.birthday) {
	            var bday = item.birthday;
	            
	            //if the birthday is after today
	            var newFullYear;
	            if (new Date(bday).setFullYear(year) >= lowNow.getTime()) {
	   				newFullYear = year;
	            }
	            else{
	            	newFullYear = year + 1;
	            }

	            var d1 = new Date(bday);
	            d1.setFullYear(newFullYear);
	            item.sortBirthday = d1.getFullYear()+"-"+(d1.getMonth()+1)+"-"+d1.getDate();
	            
	            upcoming.push(item);
	        }
    	});

    	//set the year to current year because of birth years being different.
    	
    	upcoming = upcoming.sort(
    		function(a, b) {
        		return new Date(a.sortBirthday).getTime() - new Date(b.sortBirthday).getTime();
    		}
    	);
    	
    	
    	var prevMonth = -1;
    	
    	//set dividers
    	for (var i=0;i<upcoming.length;i++){
    		var mon = (new Date(upcoming[i].birthday)).getMonth();
    		if (mon != prevMonth){
    			upcoming[i].isGroupHeader = true;
    			prevMonth = mon;
    		}
    	}
    	
    	return upcoming;

	},
	
	
	daysBetween: function(date1, date2) {
	
	    // Convert both dates to milliseconds
	    var date1_ms = date1.getTime();
	    var date2_ms = date2.getTime();
	
	    // Calculate the difference in milliseconds
	    var difference_ms = date1_ms - date2_ms;
	    difference_ms/=ONE_DAY;
	    
	    // Convert back to days and return
	    
	    //console.log('diff: '+difference_ms + " " +date1);
	    
	    return difference_ms;

	}
});



