﻿enyo.kind({
	name: "MainView",
	kind: enyo.VFlexBox,	
	components:[
		
		//define utils
		{kind:"pmeUtils", name:"utils"},
		
		//Helpers
		{name: "contactsDb", kind:"ContactsDb"},
		
		//UI
		{kind:"ContactsList", showsPhotos:true, flex:1}

	],
	
	create: function()
	{
		this.inherited(arguments);
		
		//load the data
		this.$.contactsDb.loadContacts(true,
			function(response){
				console.log('---MainView: loaded '+response.length+" contacts");
				
				//sort contacts by upcoming birthday
				enyo.application.ContactsList = this.$.utils.sortByUpcomingBirthdays(enyo.application.ContactsList);
				
				this.$.contactsList.reloadList();
			}.bind(this)
		);
	}
});